> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rocka.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Check your balance

> Check your balance for any currency. 

 <Note> If you're getting the 'Balances are not configured' error message, contact us at [support@rocka.live](mailto:support@rocka.live).</Note>



## OpenAPI

````yaml /api-reference/openapi.yaml get /balances/api/balance
openapi: 3.0.1
info:
  title: Rocka Payments
  version: 1.0.0
  description: ''
  contact:
    email: support@rocka.live
servers:
  - url: https://api.stage.rocka.live
    description: Sandbox
  - url: https://api.rocka.live
    description: Live
security: []
paths:
  /balances/api/balance:
    get:
      tags:
        - Manage your data
      summary: Check your balance
      parameters:
        - in: query
          name: currency
          description: The ISO code of the currency you want to check your balance for.
          required: true
          schema:
            type: string
            example: EUR
        - in: query
          name: type
          schema:
            type: string
            enum:
              - payin
              - payout
            example: payin
          description: >-
            To check your payment balance, enter `payin`. To check your payout
            balance, enter `payout`.
          required: true
        - in: query
          schema:
            type: string
            format: date-time
          name: date
          description: >-
            Balance timestamp in the YYYY-MM-DD format. For example, 2025-06-18
            for June 18th, 2025.
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  amount:
                    type: integer
                    description: The amount on your balance.
                  currency:
                    type: string
                    description: Balance currency.
                  type:
                    type: string
                    description: Balance type.
                  date:
                    type: string
                    format: date-time
                    description: Balance timestamp.
              example:
                amount: 53.93
                currency: EUR
                type: payin
                date: '2025-06-18'
        '404':
          description: >-
            If you're getting the 'Balances are not configured' error message,
            contact us at [support@rocka.live](mailto:support@rocka.live).
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Balances are not configured.

````